Bug 2760 - Add an RPM post-install macro
: Add an RPM post-install macro
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/yelp)
: unstable
: all Linux
: P5 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-07-13 23:29 by
Modified: 2006-02-28 09:32 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-07-13 23:29:29
После установки пакета, содержащего документацию для GNOME, хорошо бы вызывать
макрос с таким телом:

if [ -x %_bindir/yelp-pregenerate ]; then %_bindir/yelp-pregenerate
%_datadir/gnome/help/%1/*/*.xml >/dev/null 2>&1 ||:; fi
---

---
------- Comment #1 From 2004-01-04 16:34:20 -------
Не уверен, что хорошо делать это в %post.
1) ресурсоемкая задача (на слабой машине, например, обработка справки гнумерик
занимает несколько минут).
2) получаем безхозный файл и далеко не нулевого размера.

В yelp-2.4.2-alt2 теперь есть макрос %yelp_pregenerate, который можно вызывать в
%install для получения файла справки в html. При этом файл будет обработан
find_lang и попадет в пакет. Использован макрос пока только в гнумерик.




------- Comment #2 From 2006-02-28 09:32:37 -------
Я думаю, что FIXED.